package org.objectweb.jonas.jtests.servlets.portlink;

import java.util.ArrayList;
import java.rmi.RemoteException;
import org.objectweb.jonas.jtests.servlets.endpoint.Address;

/**
 * Remote interface used for Dynamix Proxy Generation
 */
public interface AddressBook extends java.rmi.Remote {

    public void addAddress(Address addr) throws RemoteException;
    public Address getAddress(String name) throws RemoteException;
    public ArrayList getAddresses() throws RemoteException;
    public boolean isPresent(String name) throws RemoteException;

}
